{
  config,
  lib,
  pkgs,
  ...
}:

{
  environment.systemPackages =
    with pkgs;
    [
      vim
      tmux
      fwupd
      pciutils
      dmidecode
      smartmontools
      borgbackup
      iw
      killall
      bc
      efibootmgr
      efitools
      efivar
      mkpasswd
      rename
      wipe
      gnupg
      pass-wayland
      pwgen
      units
      powertop
      lm_sensors
    ]
    ++ [
      nixfmt-rfc-style
      nix-index
      nix-diff
      nixpkgs-review
      nixos-option
    ]
    ++ [
      autojump
      powerline-go
    ]
    ++ [
      # File Utilities
      ripgrep
      unzip
      p7zip
      unrar
      borgbackup
      iotop
      cabextract
      tree # p7zip
      vim
      vimPlugins.pathogen
      vimPlugins.airline
      git
      git-lfs
    ]
    ++ [
      # Filesystem & Disk Utilities
      exfat
      samba
      cifs-utils
      keyutils # required for cifs kerberos auth
      sshfs-fuse
      hdparm
      mtpfs
      ntfs3g
      smartmontools
      parted
      usbutils
    ]
    ++ [
      # Networking Utilities
      nmap
      bind
      curl
      wget
      tor
      mosh
      whois
      wol
      rsync
      sshuttle
      iftop
      mailutils # hash-slinger #TODO: hash-slinger has broken dependency pyunbound
      imapsync
      bluez-tools
    ];
}
